#region License
// Copyright (c) 2007 James Newton-King
//
// Permission is hereby granted, free of charge, to any person
// obtaining a copy of this software and associated documentation
// files (the "Software"), to deal in the Software without
// restriction, including without limitation the rights to use,
// copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the
// Software is furnished to do so, subject to the following
// conditions:
//
// The above copyright notice and this permission notice shall be
// included in all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
#endregion

using System;
using System.Collections.Generic;
using System.Text;
using NUnit.Framework;
using System.Collections;
using Utilities.Miscellaneous;
using Utilities.Testing;
using System.Reflection;

namespace Utilities.Test.Miscellaneous
{
  public class BitUtilsFixture : TestFixtureBase
  {
    [Test]
    public void BitArrayToString()
    {
      BitArray array = new BitArray(new byte[] { 1 });

      string result = BitUtils.BitArrayToString(array);

      Assert.AreEqual("00000001", result);
    }

    [Test]
    public void BitArrayToByteArray()
    {
      BitArray array = new BitArray(new byte[] { 1 });

      byte[] result = BitUtils.BitArrayToByteArray(array);

      Assert.AreEqual(1, result[0]);
    }

    [Test]
    public void Not()
    {
      Assert.AreEqual(BindingFlags.NonPublic, BitUtils.Not<BindingFlags>(BindingFlags.Public | BindingFlags.NonPublic, BindingFlags.Public));
    }
  }
}
